ClarisDrawGraphInternal::Group Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisDrawGraphInternal::Group Struct Referencefinal

Internal: class which stores a group of graphics, ... More...

Inheritance diagram for ClarisDrawGraphInternal::Group:

## Public Member Functions
| Group (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| constructor More...
| ~Group () final
| destructor More...
bool | isEmpty () const
| returns true if the group is empty More...
void | removeChild (int cId, bool normalChild) final
| remove a child from a list. More...
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor More...
| DSET (DSET const &)=default
virtual | ~DSET ()
| virtual destructor More...
bool | isHeaderFooter () const
| test if the zone is an header/footer More...
bool | isSlide () const
| test if the zone is a slide More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
int | getMaximumPage () const
| returns the maximum page More...
virtual void | removeChild (int cId)
| virtual function to remove a child from a list More...
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box More...
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, MWAWVariable< int > &lastPage) const
| find forbidden page break More...
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box) More...

## Public Attributes
std::vector< std::shared_ptr< Zone > > | m_zones
| the list of child zones More...
bool | m_hasMainZone
| a flag to know if this zone contains or no the call to zone 1 More...
std::vector< std::shared_ptr< Zone > > | m_zonesToSend
| the list of block to send More...
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Position | m_position
| the zone type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_page
| the page (if known) More...
MWAWBox2f | m_box
| the bounding box (if known) More...
MWAWVec2f | m_pageDimension
| the page dimension (if know) More...
int | m_id
| the zone identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends
std::ostream & | operator<< (std::ostream &o, Group const &doc)
| operator<< More...

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0, P_Header, P_Footer, P_Frame, P_Footnote, P_Table, P_GraphicMaster, P_Slide, P_SlideNote, P_SlideThumbnail, P_SlideMaster, P_Unknown }
| the zone position More...
enum | ChildType { C_Zone, C_SubText, C_Graphic, C_Unknown }
| the different types of zone child More...

## Detailed Description

Internal: class which stores a group of graphics, ...

## Constructor & Destructor Documentation

## ◆ Group()

ClarisDrawGraphInternal::Group::Group | ( | ClarisWksStruct::DSET const & | dset = `ClarisWksStruct::DSET()` | ) |
| inlineexplicit

constructor

## ◆ ~Group()

ClarisDrawGraphInternal::Group::~Group | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ isEmpty()

bool ClarisDrawGraphInternal::Group::isEmpty | ( |  | ) | const
| inline

returns true if the group is empty

## ◆ removeChild()

void ClarisDrawGraphInternal::Group::removeChild | ( | int | cId,
|  | bool | normalChild
| ) |  |
| inlinefinalvirtual

remove a child from a list.

Normally, this function is not called, so optimizing it is not usefull

Reimplemented from ClarisWksStruct::DSET.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Group const & | doc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_hasMainZone

bool ClarisDrawGraphInternal::Group::m_hasMainZone

a flag to know if this zone contains or no the call to zone 1

## ◆ m_zones

std::vector<std::shared_ptr<Zone> > ClarisDrawGraphInternal::Group::m_zones

the list of child zones

Referenced by isEmpty(), ClarisDrawGraph::readGroupData(), and removeChild().

## ◆ m_zonesToSend

std::vector<std::shared_ptr<Zone> > ClarisDrawGraphInternal::Group::m_zonesToSend

the list of block to send

The documentation for this struct was generated from the following file:

- ClarisDrawGraph.cxx